[svn-commits] tzafrir: linux/trunk r7379 - in /linux/trunk: Makefile build_tools/kernel-doc
SVN commits to the Digium repositories
svn-commits at lists.digium.com
Sun Oct 11 13:24:19 CDT 2009
Author: tzafrir
Date: Sun Oct 11 13:24:17 2009
New Revision: 7379
URL: http://svnview.digium.com/svn/dahdi?view=rev&rev=7379
Log:
Add kernel-doc generation to the 'docs' target
Added:
linux/trunk/build_tools/kernel-doc (with props)
Modified:
linux/trunk/Makefile
Modified: linux/trunk/Makefile
URL: http://svnview.digium.com/svn/dahdi/linux/trunk/Makefile?view=diff&rev=7379&r1=7378&r2=7379
==============================================================================
--- linux/trunk/Makefile (original)
+++ linux/trunk/Makefile Sun Oct 11 13:24:17 2009
@@ -64,7 +64,7 @@
ASCIIDOC:=asciidoc
ASCIIDOC_CMD:=$(ASCIIDOC) -n -a toc -a toclevels=4
-GENERATED_DOCS:=README.html
+GENERATED_DOCS:=README.html dahdi-api.html
ifneq ($(wildcard .version),)
DAHDIVERSION:=$(shell cat .version)
@@ -240,6 +240,9 @@
README.html: README
$(ASCIIDOC_CMD) -o $@ $<
+dahdi-api.html: drivers/dahdi/dahdi-base.c
+ build_tools/kernel-doc --kernel $(KSRC) $^ >$@
+
.PHONY: distclean dist-clean clean all install devices modules stackcheck install-udev update install-modules install-include uninstall-modules firmware-download install-xpp-firm firmware-loaders
FORCE:
Added: linux/trunk/build_tools/kernel-doc
URL: http://svnview.digium.com/svn/dahdi/linux/trunk/build_tools/kernel-doc?view=auto&rev=7379
==============================================================================
--- linux/trunk/build_tools/kernel-doc (added)
+++ linux/trunk/build_tools/kernel-doc Sun Oct 11 13:24:17 2009
@@ -1,0 +1,63 @@
+#!/bin/sh
+
+# a wrapper to kernel-doc from the kernel source tree
+#
+# Copyright (C) 2009 by Xorcom <support at xorcom.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+# For 'man' version: build_tools/kernel-doc -f man | man -l -
+
+files="drivers/dahdi/dahdi-base.c"
+format="html"
+kernel="/lib/modules/`uname -r`/build"
+
+usage() {
+ me=`basename $0`
+ cat <<EOF
+$me: wrapper around the kernel's kernel-doc script
+Extracts kernel-doc from $files .
+
+$me [options]
+
+Options:
+ -f --format: Alternative output format (man, text, docbook. Default: html)
+ -k --kernel: kernel source tree. Default: $kernel .
+EOF
+}
+
+options=`getopt -o f:hk: --long format:,help,kernel: -- "$@"`
+if [ $? != 0 ] ; then echo >&2 "Terminating..." ; exit 1 ; fi
+
+eval set -- "$options"
+
+while true ; do
+ case "$1" in
+ -f|--format) format="$2"; shift ;;
+ -h|--help) usage; exit 0;;
+ -k|--kernel) kernel="$2"; shift ;;
+ --) shift ; break ;;
+ esac
+ shift;
+done
+
+if [ "$*" != '' ]; then
+ files="$*" #FIXME: spaces
+fi
+
+script="$kernel/scripts/kernel-doc"
+$script -$format $files
+
+
Propchange: linux/trunk/build_tools/kernel-doc
------------------------------------------------------------------------------
svn:eol-style = native
Propchange: linux/trunk/build_tools/kernel-doc
------------------------------------------------------------------------------
svn:executable = *
Propchange: linux/trunk/build_tools/kernel-doc
------------------------------------------------------------------------------
svn:keywords = Author Date Id Revision
Propchange: linux/trunk/build_tools/kernel-doc
------------------------------------------------------------------------------
svn:mime-type = text/plain
More information about the svn-commits
mailing list